Package org.drinkless.tdlib

# Class TdApi.PageBlockCollage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockCollage

Enclosing class:
  TdApi

public static class TdApi.PageBlockCollage extends TdApi.PageBlock
A collage.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PageBlockCaption`
  `caption`
  Block caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PageBlock[]`
  `pageBlocks`
  Collage item contents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockCollage()`
  A collage.
  `PageBlockCollage(TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)`
  A collage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pageBlocks

    public TdApi.PageBlock[] pageBlocks
    Collage item contents.

  - ### caption

    public TdApi.PageBlockCaption caption
    Block caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockCollage

    public PageBlockCollage()
    A collage.

  - ### PageBlockCollage

    public PageBlockCollage(TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)
    A collage.
    Parameters:
      `pageBlocks` - Collage item contents.
      `caption` - Block caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR